Enrol customers for badges

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to enroll customers for badges. The badges are issued based on the fulfillment criteria.

šŸ‘

Note

  • For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.
  • A badge can be issued via MemberCare without any owners or claim.

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/v1/badges/badgeMeta/customer/issueBulk
HTTP methodPOST
PaginationNA
Batch supportNA

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/badgeMeta/customer/issueBulk' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic Z2VvcmdmNkNzUxYmJiY2U=' \
--header 'Cookie: _cfuvid=60YlXkyLfDaY1gOO1YdxKbhVquLZtaBlNd58D9_8rpU-1765282802951-0.0.1.1-604800000' \
--data '{
   "badgeMetaId": "693804d8cebb9648d8974489",
   "triggeredBy": {
       "ownerType": "Loyalty",
       "referenceId": "string"
   },
   "issueEventDate": "2025-11-03T21:51:00.192Z",
   "issueEventDateISO": "2025-04-23T08:14:15Z", 
   "customers": [
       566881933],
   "requestId": "434e0d861777711w2yyybj265"
}'
curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/badgeMeta/customer/issueBulk' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic Z2VvcmdNzUxYmJiY2U=' \
--header 'Cookie: _cfuvid=60YlXkyLfDaY1gOO1YdxKbhVquLZtaBlNd58D9_8rpU-1765282802951-0.0.1.1-604800000' \
--data '{
   "badgeMetaId": "693804d8cebb9648d8974489",
   "triggeredBy": {
       "ownerType": "Loyalty",
       "referenceId": "string"
   },
   "issueEventDate": "2025-11-03T21:51:00.192Z",
   "issueEventDateISO": "2025-04-23T08:14:15Z", 
   "customers": [
       566881933,
       566881934
   ],
   "requestId": "434e0d861777711w2yyybj265"
}'

Request body parameters

ParameterMandatoryData TypeDescription
badgeMetaIdYesStringUnique identifier ("id") generated during the creation of the badge
customersNoArrayArray of customer identifiers associated with the badge.
requestIdYesStringEnter a unique identifier to identify the request.
issueEventDateNoStringThe date on which the customer was enrolled in the badge. Issue event date has to be between the badge start date and end date, in epoch milliseconds format.Note: This field will be deprecated in the future and is being replaced by issueEventDateISO
issueEventDateISONoString

Defines the date on which the customer was enrolled in the badge in ISO 8601 format, including the region offset.

For example: The enrollment date is at 09:15:30.500 on January 20, 2026, in UTC.
Format for the request parameter: 2026-01-20T09:15:30.500Z.

Notes:
  • This parameter overrides the value set in the issueEventDate parameter.
  • The issueEventDate parameter is only used if issueEventDateISO is null.
  • The issue event date must fall between the badge's start date and end date.
  • Ensure the format follows the standard: YYYY-MM-DDTHH:MM:SS.SSSZ.
triggeredByYesObjectObject containing information about what triggered the action.
ownerTypeYesEnum

The module for which the badge has been created. Supported values: Loyalty, Loyalty_Promotion, Referral_Campaigns, Journeys, Audience_Campaigns, Rewards_Catalog, Goodwill_Module, Milestones, Historical_Import.

Note: Customers can be enrolled to a badge using an ownerType that is not listed at the time of badge creation. If a supported ownerType is passed during enrollment, the system allows the enrollment.

referenceIdNoStringEnter a unique identifier to identify the owner (ownerType).
{
    "badgeMetaId": "66276dc68fe258516a88ff8e",
    "customers": [
  62090013
    ],
    "requestId": "21390",
    "issueEventDate" : 1713860055,
    "issueEventDateISO" : "2024-04-23T13:44:15+05:30"
    "triggeredBy": {
        "ownerType": "Loyalty",
        "referenceId": "123694"
    }
}
{
    "badgeMetaId": "653de84db3cda7078c7c68ed",
    "customers": [
        62090013, 123
    ],
    "requestId": "10few789",
  	"issueEventDate" : 1713860055,
    "issueEventDateISO" : "2024-04-23T13:44:15+05:30"
    "triggeredBy": {
        "ownerType": "Loyalty",
        "referenceId": "626"
    }
}

Example response

{
    "data": {
        "badgeMetaId": "69807855eba595729385eb1b",
        "triggeredBy": {
            "ownerType": "Rewards_Catalog",
            "referenceId": "123"
        },
        "expiresOn": 1926235957.000000000,
        "expiresOnISO": "2031-01-15T09:32:37Z",
        "issuedBadges": [
            {
                "customerId": 566135941,
                "issuedId": "69807865eba595729385eb1c",
                "status": "ACTIVE"
            }
        ],
        "requestId": "req12"
    },
    "errors": [],
    "warnings": []
}
{
    "data": {
        "badgeMetaId": "6980795d0772ad476ed02639",
        "triggeredBy": {
            "ownerType": "Rewards_Catalog",
            "referenceId": "123"
        },
        "expiresOn": 1926235957.000000000,
        "expiresOnISO": "2031-01-15T09:32:37Z",
        "issuedBadges": [
            {
                "customerId": 566135941,
                "issuedId": "69807969eba595729385eb28",
                "status": "ACTIVE"
            },
            {
                "customerId": 565039506,
                "issuedId": "69807969eba595729385eb29",
                "status": "ACTIVE"
            }
        ],
        "requestId": "req14"
    },
    "errors": [],
    "warnings": []
}

Response parameters

ParameterData TypeDescription
badgeMetaIdStringUnique identifier ("id") generated during the creation of the badge
triggeredByObjectContains details about the trigger for the badge.
ownerTypeStringType of owner.
referenceIdStringEnter a user input identifier to link the owner of the badge.
expiresOnNumberThe time indicating when the badge expires, in epoch milliseconds format.
expiresOnISOString

The time indicating when the badge expires in ISO 8601 format, returned in the server time zone.

EU server example 2026-02-04T06:56:48.000Z → 04 February 2026, 06:56:48 (UTC)

India server example 2026-02-04T12:26:48.000+05:30 → 04 February 2026, 12:26:48 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

issuedBadgesArrayArray of objects representing issued badges.
customerIdNumberUnique identifier for the customer associated with the badge.
issuedIdStringUnique identifier for the issued badge.
requestIdStringEnter a unique input as the identifier for the request.
errorsArrayArray to list any errors.
warningsArrayArray to list any warnings.

API-specific error codes

Error codeDescription
809Request with the same requestId is not allowed
816Event date is not in duration of badge meta. Pass the issue event date.
801Only ISSUE_EARN type badge can be issued
1040An active issue for the badge already exists. Ensure the customer is not already enrolled in the badge.
1039Only active badge can be issued. Ensure that the badge is not in an upcoming or expired state.
803Triggering module info is missing.
804RequestId is missing.
716Owner type information is missing.

Body Params
string
required
string
date-time
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json